'''
-----------------------------------------------------------------------------
 Two dimensional sub model of an axisymmetric penny shaped crack
 in a round bar modeled using axisymmetric quadrilateral elements (CAX8).
 
 Submit the job: 2DAxPennyCrackSubCAX8
-----------------------------------------------------------------------------
'''

from abaqus import *
from abaqusConstants import *

import part, material, section, assembly, step, interaction
import regionToolset, displayGroupMdbToolset as dgm, mesh
import load, job

#----------------------------------------------------------------------------

# Open the CAE model and create a viewport for viewing it.

Mdb()
subModelName = '2DAxPennyCrackSubCAX8'
openMdb(subModelName)
mySubModel = mdb.models[subModelName]
myAssembly = mySubModel.rootAssembly
myViewport = session.Viewport(name=subModelName)
myViewport.makeCurrent()
myViewport.maximize()
myViewport.setValues(displayedObject=myAssembly)

#---------------------------------------------------------------------------

# Submit the job for analysis

mdb.jobs[subModelName].submit()
mdb.jobs[subModelName].waitForCompletion()

#---------------------------------------------------------------------------
